package java.sql;

import java.io.Writer;
import java.io.OutputStream;
import java.io.InputStream;
import java.io.Reader;

public interface Clob
{
    public abstract long length() throws SQLException;
    
    public abstract String getSubString(long p0, int p1) throws SQLException;
    
    public abstract Reader getCharacterStream() throws SQLException;
    
    public abstract InputStream getAsciiStream() throws SQLException;
    
    public abstract long position(String p0, long p1) throws SQLException;
    
    public abstract long position(Clob p0, long p1) throws SQLException;
    
    public abstract int setString(long p0, String p1) throws SQLException;
    
    public abstract int setString(long p0, String p1, int p2, int p3) throws SQLException;
    
    public abstract OutputStream setAsciiStream(long p0) throws SQLException;
    
    public abstract Writer setCharacterStream(long p0) throws SQLException;
    
    public abstract void truncate(long p0) throws SQLException;
    
    public abstract void free() throws SQLException;
    
    public abstract Reader getCharacterStream(long p0, long p1) throws SQLException;
}
